PayNow

Delivery

Get delivery items associated with an order

GEThttps://api.paynow.gg/v1/stores/{storeId}/orders/{orderId}/delivery/items

Retrieves all delivery items associated with a specific order.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store.
orderIdFlakeIdRequired
The ID of the order to retrieve delivery items from.
Query parameters
activeOnlybooleanOptional
Response
200OKDeliveryItemDto[]
Represents a delivery item assigned to a customer
Show fields
added_atstringRequired
The date and time when the item was added
command_attemptsCommandAttemptDto[]Required
The command execution attempts for this delivery item
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional
custom_variablesobjectRequired
Custom variables associated with the delivery item
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
expirablebooleanRequired
Indicates whether the delivery item can expire
giftbooleanRequired
Indicates whether the item was given as a gift
idFlakeIdRequired
productDeliveryItemProductDtoRequired
Represents the product information for a delivery item
idFlakeIdRequired
namestringRequired
The name of the product
slugstringRequired
The URL-friendly slug of the product
version_idstringRequired
The version identifier of the product
skip_commandsbooleanRequired
Indicates whether command execution should be skipped for this item
stateenumRequired
Possible enum values
  • usable
  • active
  • used
  • revoked
  • renewed
store_idFlakeIdRequired
active_atstringOptional
The date and time when the item became active
added_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
checkout_idFlakeIdOptional
checkout_line_idFlakeIdOptional
execute_on_gameserver_idFlakeIdOptional
expires_atstringOptional
The date and time when the item expires naturally
order_customerCustomerDtoOptional
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
order_customer_idFlakeIdOptional
order_idFlakeIdOptional
order_line_idFlakeIdOptional
override_expires_atstringOptional
The override expiry date for the delivery item
quantity_indexintegerOptional
The index of the item when multiple quantities were assigned
removed_atstringOptional
The date and time when the item was removed
revoke_reasonstringOptional
The reason for revoking the delivery item
revoked_atstringOptional
The date and time when the item was revoked
revoked_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
subscription_idFlakeIdOptional
trial_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/orders/{orderId}/delivery/items" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "added_at": "2024-01-01T00:00:00Z",
    "command_attempts": [
      {
        "command": "string",
        "gameserver_id": "411486491630370816",
        "id": "411486491630370816",
        "online_only": true,
        "queued_at": "2024-01-01T00:00:00Z",
        "rerun": true,
        "store_id": "411486491630370816",
        "inventory_item_id": "411486491630370816",
        "steam_id": "76561197960287930",
        "minecraft_uuid": "string",
        "customer_name": "string",
        "customer_id": "411486491630370816",
        "command_stage": "string",
        "executed_at": "2024-01-01T00:00:00Z",
        "executed_by_ip": "string",
        "unqueued_at": "2024-01-01T00:00:00Z"
      }
    ],
    "custom_variables": {},
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "expirable": true,
    "gift": true,
    "id": "411486491630370816",
    "product": {
      "id": "411486491630370816",
      "name": "Premium Membership",
      "slug": "premium-membership",
      "version_id": "v2.1.0"
    },
    "skip_commands": true,
    "state": "usable",
    "store_id": "411486491630370816",
    "order_customer_id": "411486491630370816",
    "order_customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "checkout_id": "411486491630370816",
    "checkout_line_id": "411486491630370816",
    "order_id": "411486491630370816",
    "order_line_id": "411486491630370816",
    "subscription_id": "411486491630370816",
    "trial_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity_index": 0,
    "added_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "active_at": "2024-01-01T00:00:00Z",
    "expires_at": "2024-01-01T00:00:00Z",
    "override_expires_at": "2024-01-01T00:00:00Z",
    "removed_at": "2024-01-01T00:00:00Z",
    "revoked_at": "2024-01-01T00:00:00Z",
    "revoke_reason": "string",
    "revoked_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Get all delivery items

GEThttps://api.paynow.gg/v1/stores/{storeId}/delivery/items

Retrieves all delivery items associated with this store (paginated)

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
activeOnlybooleanOptional
Response
200OKDeliveryItemDto[]
Represents a delivery item assigned to a customer
Show fields
added_atstringRequired
The date and time when the item was added
command_attemptsCommandAttemptDto[]Required
The command execution attempts for this delivery item
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional
custom_variablesobjectRequired
Custom variables associated with the delivery item
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
expirablebooleanRequired
Indicates whether the delivery item can expire
giftbooleanRequired
Indicates whether the item was given as a gift
idFlakeIdRequired
productDeliveryItemProductDtoRequired
Represents the product information for a delivery item
idFlakeIdRequired
namestringRequired
The name of the product
slugstringRequired
The URL-friendly slug of the product
version_idstringRequired
The version identifier of the product
skip_commandsbooleanRequired
Indicates whether command execution should be skipped for this item
stateenumRequired
Possible enum values
  • usable
  • active
  • used
  • revoked
  • renewed
store_idFlakeIdRequired
active_atstringOptional
The date and time when the item became active
added_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
checkout_idFlakeIdOptional
checkout_line_idFlakeIdOptional
execute_on_gameserver_idFlakeIdOptional
expires_atstringOptional
The date and time when the item expires naturally
order_customerCustomerDtoOptional
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
order_customer_idFlakeIdOptional
order_idFlakeIdOptional
order_line_idFlakeIdOptional
override_expires_atstringOptional
The override expiry date for the delivery item
quantity_indexintegerOptional
The index of the item when multiple quantities were assigned
removed_atstringOptional
The date and time when the item was removed
revoke_reasonstringOptional
The reason for revoking the delivery item
revoked_atstringOptional
The date and time when the item was revoked
revoked_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
subscription_idFlakeIdOptional
trial_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/delivery/items" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "added_at": "2024-01-01T00:00:00Z",
    "command_attempts": [
      {
        "command": "string",
        "gameserver_id": "411486491630370816",
        "id": "411486491630370816",
        "online_only": true,
        "queued_at": "2024-01-01T00:00:00Z",
        "rerun": true,
        "store_id": "411486491630370816",
        "inventory_item_id": "411486491630370816",
        "steam_id": "76561197960287930",
        "minecraft_uuid": "string",
        "customer_name": "string",
        "customer_id": "411486491630370816",
        "command_stage": "string",
        "executed_at": "2024-01-01T00:00:00Z",
        "executed_by_ip": "string",
        "unqueued_at": "2024-01-01T00:00:00Z"
      }
    ],
    "custom_variables": {},
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "expirable": true,
    "gift": true,
    "id": "411486491630370816",
    "product": {
      "id": "411486491630370816",
      "name": "Premium Membership",
      "slug": "premium-membership",
      "version_id": "v2.1.0"
    },
    "skip_commands": true,
    "state": "usable",
    "store_id": "411486491630370816",
    "order_customer_id": "411486491630370816",
    "order_customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "checkout_id": "411486491630370816",
    "checkout_line_id": "411486491630370816",
    "order_id": "411486491630370816",
    "order_line_id": "411486491630370816",
    "subscription_id": "411486491630370816",
    "trial_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity_index": 0,
    "added_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "active_at": "2024-01-01T00:00:00Z",
    "expires_at": "2024-01-01T00:00:00Z",
    "override_expires_at": "2024-01-01T00:00:00Z",
    "removed_at": "2024-01-01T00:00:00Z",
    "revoked_at": "2024-01-01T00:00:00Z",
    "revoke_reason": "string",
    "revoked_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Assign delivery items in bulk

POSThttps://api.paynow.gg/v1/stores/{storeId}/delivery/items

Allows you to assign multiple delivery items for multiple customers in bulk

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
customer_idFlakeIdRequired
custom_variablesobjectOptional
Custom variables for the assignment.
execute_on_gameserver_idFlakeIdOptional
override_expires_atstringOptional
Override expiry date for the delivery item.
product_version_idFlakeIdOptional
quantityintegerOptional
Quantity of products to assign.
skip_commandsbooleanOptional
Skip command execution when assigning the item.
Response
200OKDeliveryItemDto[]
Represents a delivery item assigned to a customer
Show fields
added_atstringRequired
The date and time when the item was added
command_attemptsCommandAttemptDto[]Required
The command execution attempts for this delivery item
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional
custom_variablesobjectRequired
Custom variables associated with the delivery item
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
expirablebooleanRequired
Indicates whether the delivery item can expire
giftbooleanRequired
Indicates whether the item was given as a gift
idFlakeIdRequired
productDeliveryItemProductDtoRequired
Represents the product information for a delivery item
idFlakeIdRequired
namestringRequired
The name of the product
slugstringRequired
The URL-friendly slug of the product
version_idstringRequired
The version identifier of the product
skip_commandsbooleanRequired
Indicates whether command execution should be skipped for this item
stateenumRequired
Possible enum values
  • usable
  • active
  • used
  • revoked
  • renewed
store_idFlakeIdRequired
active_atstringOptional
The date and time when the item became active
added_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
checkout_idFlakeIdOptional
checkout_line_idFlakeIdOptional
execute_on_gameserver_idFlakeIdOptional
expires_atstringOptional
The date and time when the item expires naturally
order_customerCustomerDtoOptional
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
order_customer_idFlakeIdOptional
order_idFlakeIdOptional
order_line_idFlakeIdOptional
override_expires_atstringOptional
The override expiry date for the delivery item
quantity_indexintegerOptional
The index of the item when multiple quantities were assigned
removed_atstringOptional
The date and time when the item was removed
revoke_reasonstringOptional
The reason for revoking the delivery item
revoked_atstringOptional
The date and time when the item was revoked
revoked_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
subscription_idFlakeIdOptional
trial_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/delivery/items" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "customer_id": "411486491630370816",
    "product_version_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity": 0,
    "override_expires_at": "2024-01-01T00:00:00Z",
    "skip_commands": true,
    "custom_variables": {}
  }
]'
Response200
[
  {
    "added_at": "2024-01-01T00:00:00Z",
    "command_attempts": [
      {
        "command": "string",
        "gameserver_id": "411486491630370816",
        "id": "411486491630370816",
        "online_only": true,
        "queued_at": "2024-01-01T00:00:00Z",
        "rerun": true,
        "store_id": "411486491630370816",
        "inventory_item_id": "411486491630370816",
        "steam_id": "76561197960287930",
        "minecraft_uuid": "string",
        "customer_name": "string",
        "customer_id": "411486491630370816",
        "command_stage": "string",
        "executed_at": "2024-01-01T00:00:00Z",
        "executed_by_ip": "string",
        "unqueued_at": "2024-01-01T00:00:00Z"
      }
    ],
    "custom_variables": {},
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "expirable": true,
    "gift": true,
    "id": "411486491630370816",
    "product": {
      "id": "411486491630370816",
      "name": "Premium Membership",
      "slug": "premium-membership",
      "version_id": "v2.1.0"
    },
    "skip_commands": true,
    "state": "usable",
    "store_id": "411486491630370816",
    "order_customer_id": "411486491630370816",
    "order_customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "checkout_id": "411486491630370816",
    "checkout_line_id": "411486491630370816",
    "order_id": "411486491630370816",
    "order_line_id": "411486491630370816",
    "subscription_id": "411486491630370816",
    "trial_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity_index": 0,
    "added_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "active_at": "2024-01-01T00:00:00Z",
    "expires_at": "2024-01-01T00:00:00Z",
    "override_expires_at": "2024-01-01T00:00:00Z",
    "removed_at": "2024-01-01T00:00:00Z",
    "revoked_at": "2024-01-01T00:00:00Z",
    "revoke_reason": "string",
    "revoked_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Unqueue commands by Attempt IDs

POSThttps://api.paynow.gg/v1/stores/{storeId}/delivery/commands/unqueue
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
attempt_idsFlakeId[]Required
Response
200OKUnqueueCommandsResponseDto
Show fields
unqueued_countintegerRequired

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/delivery/commands/unqueue" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "attempt_ids": [
    "411486491630370816"
  ]
}'
Response200
{
  "unqueued_count": 0
}

Get delivery items associated with a customer

GEThttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/items

Retrieves delivery items associated with a customer

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
customerIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
activeOnlybooleanOptional
Response
200OKDeliveryItemDto[]
Represents a delivery item assigned to a customer
Show fields
added_atstringRequired
The date and time when the item was added
command_attemptsCommandAttemptDto[]Required
The command execution attempts for this delivery item
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional
custom_variablesobjectRequired
Custom variables associated with the delivery item
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
expirablebooleanRequired
Indicates whether the delivery item can expire
giftbooleanRequired
Indicates whether the item was given as a gift
idFlakeIdRequired
productDeliveryItemProductDtoRequired
Represents the product information for a delivery item
idFlakeIdRequired
namestringRequired
The name of the product
slugstringRequired
The URL-friendly slug of the product
version_idstringRequired
The version identifier of the product
skip_commandsbooleanRequired
Indicates whether command execution should be skipped for this item
stateenumRequired
Possible enum values
  • usable
  • active
  • used
  • revoked
  • renewed
store_idFlakeIdRequired
active_atstringOptional
The date and time when the item became active
added_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
checkout_idFlakeIdOptional
checkout_line_idFlakeIdOptional
execute_on_gameserver_idFlakeIdOptional
expires_atstringOptional
The date and time when the item expires naturally
order_customerCustomerDtoOptional
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
order_customer_idFlakeIdOptional
order_idFlakeIdOptional
order_line_idFlakeIdOptional
override_expires_atstringOptional
The override expiry date for the delivery item
quantity_indexintegerOptional
The index of the item when multiple quantities were assigned
removed_atstringOptional
The date and time when the item was removed
revoke_reasonstringOptional
The reason for revoking the delivery item
revoked_atstringOptional
The date and time when the item was revoked
revoked_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
subscription_idFlakeIdOptional
trial_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/items" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "added_at": "2024-01-01T00:00:00Z",
    "command_attempts": [
      {
        "command": "string",
        "gameserver_id": "411486491630370816",
        "id": "411486491630370816",
        "online_only": true,
        "queued_at": "2024-01-01T00:00:00Z",
        "rerun": true,
        "store_id": "411486491630370816",
        "inventory_item_id": "411486491630370816",
        "steam_id": "76561197960287930",
        "minecraft_uuid": "string",
        "customer_name": "string",
        "customer_id": "411486491630370816",
        "command_stage": "string",
        "executed_at": "2024-01-01T00:00:00Z",
        "executed_by_ip": "string",
        "unqueued_at": "2024-01-01T00:00:00Z"
      }
    ],
    "custom_variables": {},
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "expirable": true,
    "gift": true,
    "id": "411486491630370816",
    "product": {
      "id": "411486491630370816",
      "name": "Premium Membership",
      "slug": "premium-membership",
      "version_id": "v2.1.0"
    },
    "skip_commands": true,
    "state": "usable",
    "store_id": "411486491630370816",
    "order_customer_id": "411486491630370816",
    "order_customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "checkout_id": "411486491630370816",
    "checkout_line_id": "411486491630370816",
    "order_id": "411486491630370816",
    "order_line_id": "411486491630370816",
    "subscription_id": "411486491630370816",
    "trial_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity_index": 0,
    "added_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "active_at": "2024-01-01T00:00:00Z",
    "expires_at": "2024-01-01T00:00:00Z",
    "override_expires_at": "2024-01-01T00:00:00Z",
    "removed_at": "2024-01-01T00:00:00Z",
    "revoked_at": "2024-01-01T00:00:00Z",
    "revoke_reason": "string",
    "revoked_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Assign a delivery item to a customer

POSThttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/items

Allows you to assign a delivery item to a customer

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
customerIdFlakeIdRequired
Request body
custom_variablesobjectOptional
Custom variables for the assignment.
execute_on_gameserver_idFlakeIdOptional
override_expires_atstringOptional
Override expiry date for the delivery item.
product_idFlakeIdOptional
product_version_idFlakeIdOptional
quantityintegerOptional
Quantity of products to assign.
skip_commandsbooleanOptional
Skip command execution when assigning the item.
Response
200OKDeliveryItemDto[]
Represents a delivery item assigned to a customer
Show fields
added_atstringRequired
The date and time when the item was added
command_attemptsCommandAttemptDto[]Required
The command execution attempts for this delivery item
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional
custom_variablesobjectRequired
Custom variables associated with the delivery item
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
expirablebooleanRequired
Indicates whether the delivery item can expire
giftbooleanRequired
Indicates whether the item was given as a gift
idFlakeIdRequired
productDeliveryItemProductDtoRequired
Represents the product information for a delivery item
idFlakeIdRequired
namestringRequired
The name of the product
slugstringRequired
The URL-friendly slug of the product
version_idstringRequired
The version identifier of the product
skip_commandsbooleanRequired
Indicates whether command execution should be skipped for this item
stateenumRequired
Possible enum values
  • usable
  • active
  • used
  • revoked
  • renewed
store_idFlakeIdRequired
active_atstringOptional
The date and time when the item became active
added_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
checkout_idFlakeIdOptional
checkout_line_idFlakeIdOptional
execute_on_gameserver_idFlakeIdOptional
expires_atstringOptional
The date and time when the item expires naturally
order_customerCustomerDtoOptional
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
order_customer_idFlakeIdOptional
order_idFlakeIdOptional
order_line_idFlakeIdOptional
override_expires_atstringOptional
The override expiry date for the delivery item
quantity_indexintegerOptional
The index of the item when multiple quantities were assigned
removed_atstringOptional
The date and time when the item was removed
revoke_reasonstringOptional
The reason for revoking the delivery item
revoked_atstringOptional
The date and time when the item was revoked
revoked_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
subscription_idFlakeIdOptional
trial_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/items" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "product_id": "411486491630370816",
  "product_version_id": "411486491630370816",
  "execute_on_gameserver_id": "411486491630370816",
  "quantity": 0,
  "override_expires_at": "2024-01-01T00:00:00Z",
  "skip_commands": true,
  "custom_variables": {}
}'
Response200
[
  {
    "added_at": "2024-01-01T00:00:00Z",
    "command_attempts": [
      {
        "command": "string",
        "gameserver_id": "411486491630370816",
        "id": "411486491630370816",
        "online_only": true,
        "queued_at": "2024-01-01T00:00:00Z",
        "rerun": true,
        "store_id": "411486491630370816",
        "inventory_item_id": "411486491630370816",
        "steam_id": "76561197960287930",
        "minecraft_uuid": "string",
        "customer_name": "string",
        "customer_id": "411486491630370816",
        "command_stage": "string",
        "executed_at": "2024-01-01T00:00:00Z",
        "executed_by_ip": "string",
        "unqueued_at": "2024-01-01T00:00:00Z"
      }
    ],
    "custom_variables": {},
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "expirable": true,
    "gift": true,
    "id": "411486491630370816",
    "product": {
      "id": "411486491630370816",
      "name": "Premium Membership",
      "slug": "premium-membership",
      "version_id": "v2.1.0"
    },
    "skip_commands": true,
    "state": "usable",
    "store_id": "411486491630370816",
    "order_customer_id": "411486491630370816",
    "order_customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "checkout_id": "411486491630370816",
    "checkout_line_id": "411486491630370816",
    "order_id": "411486491630370816",
    "order_line_id": "411486491630370816",
    "subscription_id": "411486491630370816",
    "trial_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity_index": 0,
    "added_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "active_at": "2024-01-01T00:00:00Z",
    "expires_at": "2024-01-01T00:00:00Z",
    "override_expires_at": "2024-01-01T00:00:00Z",
    "removed_at": "2024-01-01T00:00:00Z",
    "revoked_at": "2024-01-01T00:00:00Z",
    "revoke_reason": "string",
    "revoked_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Revoke a delivery item from a customer

DELETEhttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/items/{deliveryItemId}

Allows you to revoke a delivery item associated with a customer

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
customerIdFlakeIdRequired
deliveryItemIdFlakeIdRequired
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/items/{deliveryItemId}" \
  -H "Authorization: APIKey TOKEN"

Get command attempts associated with a customer

GEThttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/commands

Retrieves command attempts associated with a customer

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
customerIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
Response
200OKCommandAttemptDto[]
Show fields
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/delivery/commands" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "command": "string",
    "gameserver_id": "411486491630370816",
    "id": "411486491630370816",
    "online_only": true,
    "queued_at": "2024-01-01T00:00:00Z",
    "rerun": true,
    "store_id": "411486491630370816",
    "inventory_item_id": "411486491630370816",
    "steam_id": "76561197960287930",
    "minecraft_uuid": "string",
    "customer_name": "string",
    "customer_id": "411486491630370816",
    "command_stage": "string",
    "executed_at": "2024-01-01T00:00:00Z",
    "executed_by_ip": "string",
    "unqueued_at": "2024-01-01T00:00:00Z"
  }
]

Returns delivery items in which an associated command attempt is for the gameserver

GEThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/delivery/items
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
activeOnlybooleanOptional
Response
200OKDeliveryItemDto[]
Represents a delivery item assigned to a customer
Show fields
added_atstringRequired
The date and time when the item was added
command_attemptsCommandAttemptDto[]Required
The command execution attempts for this delivery item
commandstringRequired
gameserver_idFlakeIdRequired
idFlakeIdRequired
online_onlybooleanRequired
queued_atstringRequired
rerunbooleanRequired
store_idFlakeIdRequired
command_stagestringOptional
customer_idFlakeIdOptional
customer_namestringOptional
executed_atstringOptional
executed_by_ipstringOptional
inventory_item_idFlakeIdOptional
minecraft_uuidstringOptional
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
unqueued_atstringOptional
custom_variablesobjectRequired
Custom variables associated with the delivery item
customerCustomerDtoRequired
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
customer_idFlakeIdRequired
expirablebooleanRequired
Indicates whether the delivery item can expire
giftbooleanRequired
Indicates whether the item was given as a gift
idFlakeIdRequired
productDeliveryItemProductDtoRequired
Represents the product information for a delivery item
idFlakeIdRequired
namestringRequired
The name of the product
slugstringRequired
The URL-friendly slug of the product
version_idstringRequired
The version identifier of the product
skip_commandsbooleanRequired
Indicates whether command execution should be skipped for this item
stateenumRequired
Possible enum values
  • usable
  • active
  • used
  • revoked
  • renewed
store_idFlakeIdRequired
active_atstringOptional
The date and time when the item became active
added_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
checkout_idFlakeIdOptional
checkout_line_idFlakeIdOptional
execute_on_gameserver_idFlakeIdOptional
expires_atstringOptional
The date and time when the item expires naturally
order_customerCustomerDtoOptional
Represents a customer in the PayNow system with their associated profiles and metadata.
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.
order_customer_idFlakeIdOptional
order_idFlakeIdOptional
order_line_idFlakeIdOptional
override_expires_atstringOptional
The override expiry date for the delivery item
quantity_indexintegerOptional
The index of the item when multiple quantities were assigned
removed_atstringOptional
The date and time when the item was removed
revoke_reasonstringOptional
The reason for revoking the delivery item
revoked_atstringOptional
The date and time when the item was revoked
revoked_byActorDtoOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
idFlakeIdOptional
subscription_idFlakeIdOptional
trial_idFlakeIdOptional

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/delivery/items" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "added_at": "2024-01-01T00:00:00Z",
    "command_attempts": [
      {
        "command": "string",
        "gameserver_id": "411486491630370816",
        "id": "411486491630370816",
        "online_only": true,
        "queued_at": "2024-01-01T00:00:00Z",
        "rerun": true,
        "store_id": "411486491630370816",
        "inventory_item_id": "411486491630370816",
        "steam_id": "76561197960287930",
        "minecraft_uuid": "string",
        "customer_name": "string",
        "customer_id": "411486491630370816",
        "command_stage": "string",
        "executed_at": "2024-01-01T00:00:00Z",
        "executed_by_ip": "string",
        "unqueued_at": "2024-01-01T00:00:00Z"
      }
    ],
    "custom_variables": {},
    "customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "customer_id": "411486491630370816",
    "expirable": true,
    "gift": true,
    "id": "411486491630370816",
    "product": {
      "id": "411486491630370816",
      "name": "Premium Membership",
      "slug": "premium-membership",
      "version_id": "v2.1.0"
    },
    "skip_commands": true,
    "state": "usable",
    "store_id": "411486491630370816",
    "order_customer_id": "411486491630370816",
    "order_customer": {
      "created_at": "2024-01-01T00:00:00Z",
      "id": "411486491630370816",
      "metadata": {},
      "store_id": "411486491630370816",
      "profile": {
        "id": "string",
        "name": "string",
        "platform": "steam",
        "avatar_url": "string"
      },
      "steam_id": "76561197960287930",
      "steam": {
        "avatar_url": "string",
        "id": "76561197960287930",
        "name": "string"
      },
      "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "minecraft": {
        "avatar_url": "string",
        "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
        "name": "notch"
      },
      "xbox_xuid": "string",
      "minecraft_platform": "unknown",
      "name": "m0uka",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    "checkout_id": "411486491630370816",
    "checkout_line_id": "411486491630370816",
    "order_id": "411486491630370816",
    "order_line_id": "411486491630370816",
    "subscription_id": "411486491630370816",
    "trial_id": "411486491630370816",
    "execute_on_gameserver_id": "411486491630370816",
    "quantity_index": 0,
    "added_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "active_at": "2024-01-01T00:00:00Z",
    "expires_at": "2024-01-01T00:00:00Z",
    "override_expires_at": "2024-01-01T00:00:00Z",
    "removed_at": "2024-01-01T00:00:00Z",
    "revoked_at": "2024-01-01T00:00:00Z",
    "revoke_reason": "string",
    "revoked_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Resend commands for a given Gameserver

POSThttps://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/delivery/commands/resend
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
gameServerIdFlakeIdRequired
Request body
customer_idFlakeIdOptional
ends_atstringOptional
inventory_item_idFlakeIdOptional
order_idFlakeIdOptional
product_idFlakeIdOptional
starts_atstringOptional
subscription_idFlakeIdOptional
Response
200OKResendCommandsForGameServerResponseDto
Show fields
enqueued_commands_countintegerRequired

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/gameservers/{gameServerId}/delivery/commands/resend" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "starts_at": "2024-01-01T00:00:00Z",
  "ends_at": "2024-01-01T00:00:00Z",
  "inventory_item_id": "411486491630370816",
  "customer_id": "411486491630370816",
  "order_id": "411486491630370816",
  "product_id": "411486491630370816",
  "subscription_id": "411486491630370816"
}'
Response200
{
  "enqueued_commands_count": 0
}